<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */


// no direct access

defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', FALSE, TRUE);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
$document->addScript('components/com_docebo/assets/js/docebo.js');

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_docebo');
$saveOrder = $listOrder == 'a.ordering';
//print_r($this);
if (isset($_POST['login_user'])) {
	$auth = Api::call('auth/authenticate', array(
		'username' => $_POST['login_user'],
		'password' => $_POST['password'],
	));

	$auth = json_decode($auth, 1);
	if ($auth && isset($auth['success']) && $auth['success'] == TRUE) {
		$token = isset($auth['token']) ? $auth['token'] : FALSE;

		if ($token) {
			$restLoginUrl = Api::createRestAuthLink($_POST['login_user'], $token);
			header("Location: " . $restLoginUrl);
			exit;
		}
	}

	header("Location: " . Api::getCloudUrl() . '/lms/?r=site/index&error=2');
	exit;
}
$logo = $this->items[0]->logo;
$use_logo = $this->items[0]->use_logo;
$intro_text = $this->items[0]->intro_text;
$box_width = $this->items[0]->box_width;
$box_height = $this->items[0]->box_height;

$login_button_text = $this->items[0]->login_button_text;
$button_position = $this->items[0]->button_position;
$text_color = $this->items[0]->text_color;
$border_color = $this->items[0]->border_color;
$background_color = $this->items[0]->background_color;
$use_box_shadow = $this->items[0]->use_box_shadow;
$button_border_color = $this->items[0]->button_border_color;
$button_text_color = $this->items[0]->button_text_color;
$button_background_color = $this->items[0]->button_background_color;


if ($box_width == "" || $box_width == 0)
	$box_width = 250;
if ($box_height == "" || $box_height == 0)
	$box_height = 200;

$inputbox_width = $box_width - 20;
if ($login_button_text == "")
	$login_button_text = "Log In";

if ($text_color == "")
	$text_color = "#111111";

if ($border_color == "")
	$border_color = "#333333";

if ($background_color == "")
	$background_color = "#ffffff";

if ($button_border_color == "")
	$button_border_color = "#333333";

if ($button_text_color == "")
	$button_text_color = "#111111";

if ($button_background_color == "")
	$button_background_color = "#ffffff";
?>

<div>
	<div id="icon-docebo-settings">
		<h2><img src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/docebo_small.png"/>&nbsp;&nbsp;<?php echo JText::_('COM_DOCEBO_TITLE_LOGINS_BRANDED') ?></h2>
	</div>
	<form action="<?php echo JRoute::_('index.php?option=com_docebo&view=logins'); ?>" method="post" name="adminForm"
	      id="adminForm" style="width: 70%;">
		<!--	<fieldset id="filter-bar">
        <div class="filter-search fltlft">
            <label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
            <input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('Search'); ?>" />
            <button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
            <button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
        </div>
    </fieldset>-->
		<div class="clr"></div>
		<table class="adminlist">
			<thead>
			<tr>
				<th width="1%"><input type="checkbox" name="checkall-toggle" value="" onclick="checkAll(this)"/>
				</th>
				<?php if (isset($this->items[0]->state)) { ?>
					<th width="5%"> <?php echo JHtml::_('grid.sort', 'JPUBLISHED', 'a.state', $listDirn, $listOrder); ?> </th>
				<?php } ?>
				<?php if (isset($this->items[0]->ordering)) { ?>
					<th width="10%"> <?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ORDERING', 'a.ordering', $listDirn, $listOrder); ?>
						<?php if ($canOrder && $saveOrder) : ?>
							<?php echo JHtml::_('grid.order', $this->items, 'filesave.png', 'logins.saveorder'); ?>
						<?php endif; ?>
					</th>
				<?php } ?>
				<?php if (isset($this->items[0]->id)) { ?>
					<th width="1%"
					    class="nowrap"> <?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?> </th>
				<?php } ?>
				<?php if (isset($this->items[0]->box_width)) { ?>
					<th width="5%"> <?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BOX_WIDTH')?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->box_height)) { ?>
					<th width="5%"> <?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BOX_HEIGHT') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->login_button_text)) { ?>
					<th width="10%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_LOGIN_BUTTON_TEXT') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->border_color)) { ?>
					<th width="10%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BORDER_COLOR') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->background_color)) { ?>
					<th width="10%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BACKGROUND_COLOR') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->button_border_color)) { ?>
					<th width="15%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BUTTON_BORDER_COLOR') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->button_text_color)) { ?>
					<th width="15%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BUTTON_TEXT_COLOR') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->button_background_color)) { ?>
					<th width="15%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_BUTTON_BACKGROUND_COLOR') ?></th>
				<?php } ?>
				<?php if (isset($this->items[0]->text_color)) { ?>
					<th width="10%"><?php echo JText::_('COM_DOCEBO_FORM_LBL_LOGIN_TEXT_COLOR') ?></th>
				<?php } ?>
			</tr>
			</thead>
			<!--<tfoot>
          <?php
			if (isset($this->items[0])) {
				$colspan = count(get_object_vars($this->items[0]));
			} else {
				$colspan = 10;
			}
			?>
          <tr>
            <td colspan="<?php echo $colspan ?>"><?php echo $this->pagination->getListFooter(); ?></td>
          </tr>
        </tfoot>-->
			<tbody>
			<?php foreach ($this->items as $i => $item) :
				$ordering   = ($listOrder == 'a.ordering');
				$canCreate  = $user->authorise('core.create', 'com_docebo');
				$canEdit    = $user->authorise('core.edit', 'com_docebo');
				$canCheckin = $user->authorise('core.manage', 'com_docebo');
				$canChange  = $user->authorise('core.edit.state', 'com_docebo');
				?>
				<tr class="row<?php echo $i % 2; ?>">
					<td class="center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
					<?php if (isset($this->items[0]->id)) { ?>
						<td class="center"><?php echo (int) $item->id; ?></td>
					<?php } ?>
					<td class="center"><?php echo $item->box_width; ?></td>
					<td class="center"><?php echo $item->box_height; ?></td>
					<td class="center"><?php echo $login_button_text; ?></td>
					<td class="center"><?php echo $border_color; ?></td>
					<td class="center"><?php echo $background_color; ?></td>
					<td class="center"><?php echo $button_border_color; ?></td>
					<td class="center"><?php echo $button_text_color; ?></td>
					<td class="center"><?php echo $button_background_color; ?></td>
					<td class="center"><?php echo $text_color; ?></td>
					<?php if (isset($this->items[0]->state)) { ?>
						<td class="center"><?php echo JHtml::_('jgrid.published', $item->state, $i, 'logins.', $canChange, 'cb'); ?></td>
					<?php } ?>
					<?php if (isset($this->items[0]->ordering)) { ?>
						<td class="order"><?php if ($canChange) : ?>
								<?php if ($saveOrder) : ?>
									<?php if ($listDirn == 'asc') : ?>
										<span><?php echo $this->pagination->orderUpIcon($i, TRUE, 'logins.orderup', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
										<span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, TRUE, 'logins.orderdown', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
									<?php elseif ($listDirn == 'desc') : ?>
										<span><?php echo $this->pagination->orderUpIcon($i, TRUE, 'logins.orderdown', 'JLIB_HTML_MOVE_UP', $ordering); ?></span>
										<span><?php echo $this->pagination->orderDownIcon($i, $this->pagination->total, TRUE, 'logins.orderup', 'JLIB_HTML_MOVE_DOWN', $ordering); ?></span>
									<?php endif; ?>
								<?php endif; ?>
								<?php $disabled = $saveOrder ? '' : 'disabled="disabled"'; ?>
								<input type="text" name="order[]" size="5"
								       value="<?php echo $item->ordering; ?>" <?php echo $disabled ?>
								       class="text-area-order"/>
							<?php else : ?>
								<?php echo $item->ordering; ?>
							<?php endif; ?></td>
					<?php } ?>
				</tr>
			<?php endforeach; ?>
			</tbody>
		</table>
		<div>
			<input type="hidden" name="task" value=""/>
			<input type="hidden" name="boxchecked" value="0"/>
			<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
			<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
			<?php echo JHtml::_('form.token'); ?> </div>
	</form>
	<div style="width:25%; float:right; position: relative; top: -100px;">
		<form target="_blank" action="" method="post" id="dosebo_login-form">
			<div style="width:<?php echo $box_width; ?>px;">

				<div class="userdata"
				     style="font-size:12px;width:<?php echo $box_width; ?>px; height:<?php echo $box_height; ?>px;background:<?php echo $background_color; ?>; <?php if ($use_box_shadow == 'No') { ?> box-shadow: 0 0 4px #999999; <?php } ?>; padding-left:20px;">
					<?php if ($use_logo == 0 && $logo != "") { ?>
						<div><img
								src="<?php echo JURI::root(); ?>/administrator/components/com_docebo/images/<?php echo $logo; ?>"
								border="0"/></div>
					<?php } ?>
					<div style="clear:both"></div>
					<?php if ($intro_text != "") { ?>
						<br/>
						<span
							style="width:<?php echo $box_width; ?>px; float:left;text-align:center;color:<?php echo $text_color; ?>;"><?php echo $intro_text; ?></span>
					<?php } ?>
					<div style="clear:both"></div>
					<br/>
					<span style="float:left; color:<?php echo $text_color; ?>;padding-right: 3px;"><?php echo JText::_('COM_DOCEBO_USERNAME')?></span>
					<input id="modlgn-username" type="text" name="login_user" class="inputbox"
					       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

					<div style="clear:both"></div>

					<span style="float:left; padding-right:10px; color:<?php echo $text_color; ?>"><?php echo JText::_('COM_DOCEBO_PASSWORD')?></span>

					<input id="modlgn-passwd" type="password" name="password" class="inputbox"
					       style="width:<?php echo $inputbox_width; ?>px;margin:5px 0px;"/>

					<div style="clear:both"></div>
					<input type="hidden" value="ukyxW8yWDlka#1juGkzC82ZWjKqSol_Aj28H" name="docebo_secret">

					<div align="<?php echo $button_position; ?>"
					     class="<?php echo $button_position == 'Right' ? 'login-button-padding' : ''; ?>">
						<input type="submit" name="Submit" class="button" value="<?php echo $login_button_text; ?>"
						       style="float: none;font-size: 12px;background-color:<?php echo $button_background_color; ?>; border:1px solid <?php echo $button_border_color; ?>; color:<?php echo $button_text_color; ?>; padding-top:2px; padding-bottom:2px; cursor:pointer;"/>
					</div>
					<?php echo JHtml::_('form.token'); ?>
					<div style="clear:both"></div>
				</div>
			</div>
		</form>
	</div>
</div>