<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */


// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', FALSE, TRUE);
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
$document->addScript('components/com_docebo/assets/js/docebo.js');

$user = JFactory::getUser();
$userId = $user->get('id');
$listOrder = $this->state->get('list.ordering');
$listDirn = $this->state->get('list.direction');
$canOrder = $user->authorise('core.edit.state', 'com_docebo');
$saveOrder = $listOrder == 'a.ordering';
?>
<?php
if (isset($_GET['action'])) {
	$sync_status = DoceboViewUsersynchronizations::sync_users();
} else {
	$sync_status = '';
}

//check general settings exist or not
$sync_status1 = DoceboViewUsersynchronizations::check_sync_scene();

$joomla_user = DoceboViewUsersynchronizations::loadTotalMembers();

$sync_scene = DoceboViewUsersynchronizations::check_sync_scene();
if ($sync_scene == '0') {
	// API call for listUsers
	$data = API::call('user/listUsers', array('from' => 'docebo'));
	//print_r($data);
	$users_block  = json_decode($data);
	$docebo_users = 0;
	if (isset($users_block->users) && $users_block->users != "")
		$docebo_users = (int) count($users_block->users);
	else
		$docebo_users = 0;
	?>
	<div>
		<div id="icon-docebo-settings"><h2><img
					src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/docebo_small.png"/>&nbsp;&nbsp;Docebo
				- <?php echo JText::_('COM_DOCEBO_USERSYNC_TITLE_BRANDED') ?></h2></div>
		<?php echo $sync_status; ?>
		<p><?php echo JText::_('COM_DOCEBO_USERSYNC_JOOMLA') ?> <strong><?php echo $joomla_user; ?></strong><br/>
			<?php echo JText::_('COM_DOCEBO_USERSYNC_DOCEBO') ?> <strong><?php echo $docebo_users; ?></strong></p>

		<p><?php echo JText::_('COM_DOCEBO_USERSYNC_DETAILS') ?></p>

		<form method="post" action="index.php?option=com_docebo&view=usersynchronizations&action=user_sync">
			<input type="submit" name="submit" value="<?php echo JText::_('COM_DOCEBO_USERSYNC_SYNC_BUTTON') ?>"/>
		</form>
	</div>
<?php } else {
	echo '<div><div id="icon-docebo-settings"><h2><img src="http://www.docebo.com/wp-content/uploads/2013/02/favicon.ico" />&nbsp;&nbsp;Docebo - '.JText::_('COM_DOCEBO_USERSYNC_TITLE').'</h2></div><p class="error">' .JText::_('COM_DOCEBO_USERSYNC_NOT_ENABLED'). '</p></div>';
} ?>